QT       += core gui network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets mqtt

CONFIG += c++11
ICON = icon.icns
TARGET = IoTCar

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    datamanager.cpp \
    login.cpp \
    main.cpp \
    protocol.cpp \
    signup.cpp \
    tcpclient.cpp \
    widget.cpp

HEADERS += \
    datamanager.h \
    login.h \
    protocol.h \
    signup.h \
    tcpclient.h \
    widget.h

FORMS += \
    login.ui \
    signup.ui \
    widget.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    imgs/icon.qrc

